//
//  LC_AppDelegate.h
//  Location Checker
//
//  Created by  Sven on 01.08.06.
//  Copyright earthlingsoft 2006 . All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <IOKit/IOKitLib.h>
#import <Carbon/Carbon.h>

@interface LC_AppDelegate : NSObject 
{
    IBOutlet NSWindow *window;
    
    NSPersistentStoreCoordinator *persistentStoreCoordinator;
    NSManagedObjectModel *managedObjectModel;
    NSManagedObjectContext *managedObjectContext;

	IBOutlet NSTableView * THETable;
	IBOutlet NSTextField * networkField;
	IBOutlet NSTextField * printerField;
	IBOutlet NSTextField * locationField;	
}

- (NSPersistentStoreCoordinator *)persistentStoreCoordinator;
- (NSManagedObjectModel *)managedObjectModel;
- (NSManagedObjectContext *)managedObjectContext;

- (IBAction)saveAction:sender;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification;

- (void) switch:(id) sender;

- (void) setPrinter: (NSString*) printer;
- (void) setLocation: (NSString*) location;

- (IBAction) showWebpage:(id)sender;
- (IBAction) sendEMail:(id)sender;
- (IBAction) showReadme:(id)sender;

- (NSString*) myVersionString;


@end
